<?php



require("fpdf17/fpdf.php");

class MyPDF extends FPDF
{
	// change the empty footer method
	function footer(){
		$this->setY(-15);  // 1.5 cm from the bottom of the page
		$this->setFont("Arial","I", 8);
		$this->Cell(0,10,  $this->PageNo() . " of " . '{nb}',0,0,'R');	
	}	
}


$pdf = new MyPDF('L');   //  !!NOTE now instantiating an object of the extended class!!
$pdf->AliasNbPages();  // this is related to the {nb} above

//add the first page
$pdf->addPage();
$pdf->SetMargins(12,25.4,12,25.4);

//main title
$pdf->setFont("Arial", "B", 16); 
$pdf->cell(0,20,"State Capital Data");
$pdf->ln();


require "Credentials.php";  //The credentials file contains the variables $hostname, $database, $username, $password
 
try{
	$conn = new PDO("mysql:host=$hostname;dbname=$database", $username, $password);
	$conn->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
} catch(PDOException $e){
	//echo $e->getMessage();
	die();
}


$describe = $conn->prepare("DESCRIBE tbstatecapital");
$describe->execute();
//print_r($describe->fetch(PDO::FETCH_ASSOC));

$col_width = array(22,20,20,22,22,22,27,27,27,35);
$i=0;

$pdf->setFont("Arial", "", 10); 
while($row = $describe->fetch(PDO::FETCH_NUM)){
		$pdf->cell($col_width[$i],10,$row[0],1,0);
		$i++;
}
$pdf->ln();

$statement = $conn->prepare("SELECT * FROM tbstatecapital");
$statement->execute();

while ($row = $statement->fetch(PDO::FETCH_ASSOC)){
	//using an associative array approach
	$i=0;
	foreach ($row as $key => $value){
		$pdf->cell($col_width[$i],10,$value,1,0);
		$i++;
	}
	$pdf->ln();
}






$pdf->output();
?>
